[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCServer.Destroy

Remove the TSimpleIPCServer instance from memory

## Declaration

Source position: simpleipc.pp line 199

`public destructor TSimpleIPCServer.Destroy; override;`

## Description

Destroy stops the server, cleans up the internal data structures maintained by TSimpleIPCServer and then calls the inherited Destroy, which will remove the instance from memory.

Never call Destroy directly, use the Free method instead or the FreeAndNil procedure in SysUtils.

## See also

Create |  | Create a new instance of TSimpleIPCServer